function PI = makePIsym(PI,tol)
%MAKEPISYM makes a symmetric D matrix for PI.
%   This is needed because jspec/care requires a symmetric D matrix.

%% Set tolerance
if nargin == 1
    tol = 1e-5;
end

%% Make D matrix symmetric
D = PI.d;
if norm(D-D',2) < tol
    D = 0.5.*(D+D');
end
PI.d = D;
end
