function sumJnc = makesumJnc(nz,varargin)
%MAKESUMJNC makes the sum junction that computes the estimation error.

%% Switch between estimator and feedforward sum blocks
if (nargin == 1) || (nargin == 2 && isempty(varargin))
    if nz == 1
        sumJnc = ss(sumblk('e(1) = zhat(1) - z(1)'));
    else
        sumJnc = ss(sumblk('e = zhat - z',nz)); % automatic vectorization expected
    end
elseif (nargin == 2) && (strcmpi(varargin{1},'ff'))
    if nz == 1
        sumJnc = ss(sumblk('e(1) = zhat(1) + z(1)'));
    else
        sumJnc = ss(sumblk('e = zhat + z',nz)); % automatic vectorization expected
    end
else
    error('makesumJnc does not know what you are trying to do.');
end

%% Set properties
set(sumJnc,'InputGroup',struct('OutputEstimate',1:nz,...
    'ToBeEstimated',nz+1:nz+nz),...
    'OutputGroup',struct('EstimationError',1:length(sumJnc.OutputName)));
end
