function [F,Fexp,copt,Mmopt,Plyapopt] = robsyn_FF_lmilab_Engine(Pt,PSIICT,R,MULT,nw,nv,nu)
%ROBSYN_FF_LMILAB_ENGINE decides which function call for LTI/LPV synthesis.

Fexp = 'no need for explicit solution';
if isa(Pt,'ss') || isa(Pt,'tf') || isa(Pt,'zpk')
    fprintf('\n - The LTI synthesis function is being called.\n');
    [F,copt,Mmopt,Plyapopt] = robsyn_FF_lmilab(Pt,PSIICT,R,MULT,nw,nv,nu);
%     [F,copt,Mmopt,Plyapopt] = robsyn_FF_lmilab_matElim(Pt,PSIICT,R,MULT,nw,nv,nu);
elseif isa(Pt,'pss') || isa(Pt,'plftss') || isa(Pt,'upss')
    fprintf('\n - The LPV synthesis function is being called.\n');
%     [F,copt,Mmopt,Plyapopt] = robsyn_FFLPV_lmilab(Pt,PSIICT,R,MULT,nw,nv,nu);
    [F,Fexp,copt,Mmopt,Plyapopt] = ...
        robsyn_FFLPV_lmilab_matElim(Pt,PSIICT,R,MULT,nw,nv,nu);
else
    warning(['Unknown input class: ',class(Pt),'.']);
end
end
